.DEFAULT_GOAL := help

commit:
	
	@read -p "Enter commit message:" msg; \
	git add . && git status && sleep 1 && git commit -m "$$msg"

sync: pull push

push:
	@git push origin master

pull:
	@git pull --rebase origin master

all: commit sync

help:
	@clear
	@echo "Comenzi disponibile: "
	@echo "     pull -  ia ultimele modificare din repository"
	@echo "     commit - adauga in repository modificarile"
	@echo "     push -  pune toate modificarile in repository"
	@echo "     all  -  commit pull push"
	

